Update dependencies

parent 04d8b85b
This diff is collapsed.
......@@ -17,20 +17,20 @@ name = "pkg"
path = "src/bin/pkg.rs"
[dependencies]
clap = {version = "2.25", default-features = false}
clap = { version = "2.33.3", default-features = false }
hyper-rustls = "0.6"
libflate = "0.1.4"
libflate = "1.0.2"
redox_liner = "0.5.1"
pbr = "1.0"
serde = "1.0"
serde_derive = "1.0"
sha3 = "0.8.2"
tar = "0.4"
toml = "0.4"
pbr = "1.0.3"
serde = "1.0.115"
serde_derive = "1.0.115"
sha3 = "0.9.1"
tar = "0.4.29"
toml = "0.5.6"
version-compare = "0.0.10"
petgraph = "0.4.5"
bidir-map = "0.6.0"
ordermap = "0.2.11"
petgraph = "0.5.1"
bidir-map = "1.0.0"
ordermap = "0.4.2"
[dependencies.hyper]
version = "0.10"
......
......@@ -91,8 +91,8 @@ impl Repo {
File::open(&file)?.read_to_end(&mut data)?;
let mut hash = Sha3_512::default();
hash.input(&data);
let output = hash.result();
hash.update(&data);
let output = hash.finalize();
let mut encoded = String::new();
for b in output.iter() {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment